Skip to main content
`Ctrl`+`K`

# TSTrajectorySetMaxCpsRAM

Set maximum number of checkpoints in RAM

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetMaxCpsRAM(TSTrajectory tj, PetscInt max_cps_ram)

Logically Collective

## Input Parameter

- tj - tstrajectory context

## Output Parameter

- max_cps_ram - maximum number of checkpoints in RAM

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TSTrajectorySetMaxUnitsRAM()`

## Level

intermediate

## Location

src/ts/trajectory/impls/memory/trajmemory.c

## Implementations

TSTrajectorySetMaxCpsRAM_Memory() in src/ts/trajectory/impls/memory/trajmemory.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages